Update DataSet Details
curl --request PUT \
--url https://api.domo.com/v1/datasets/{dataset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Leonhard Euler Birthday Bash",
"description": "VIP Guest List",
"pdpEnabled": true
}
'import requests
url = "https://api.domo.com/v1/datasets/{dataset_id}"
payload = {
"name": "Leonhard Euler Birthday Bash",
"description": "VIP Guest List",
"pdpEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Leonhard Euler Birthday Bash',
description: 'VIP Guest List',
pdpEnabled: true
})
};
fetch('https://api.domo.com/v1/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "4405ff58-1957-45f0-82bd-914d989a3ea3",
"name": "Leonhard Euler Birthday Bash",
"description": "VIP Guest List",
"rows": 0,
"columns": 0,
"schema": {
"columns": [
{
"type": "STRING",
"name": "Friend"
},
{
"type": "STRING",
"name": "Attending"
}
]
},
"owner": {
"id": 27,
"name": "DomoSupport"
},
"createdAt": "2016-06-21T17:20:36Z",
"updatedAt": "2016-06-21T17:48:41Z",
"pdpEnabled": true,
"policies": [
{
"id": 8,
"type": "user",
"name": "Only Show Attendees",
"filters": [
{
"column": "Attending",
"values": [
"TRUE"
],
"operator": "EQUALS",
"not": false
}
],
"users": [
27
],
"groups": []
}
]
}DataSet API
Update DataSet Details
Updates the specified DataSet’s metadata by providing values to parameters passed.
Appending Data
To import additional rows into an existing DataSet, use the DataSet Import endpoint or the Simple API.
PUT
/
v1
/
datasets
/
{dataset_id}
Update DataSet Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the DataSet
Body
application/json
⌘I